Public Member Functions | Private Attributes | List of all members
libetonyek::KEY1SpanStyle Class Reference

`#include <KEY1SpanElement.h>`

## Public Member Functions
| KEY1SpanStyle (KEY1ParserState &state, IWORKStylePtr_t parentStyle)
bool | readAttribute (int name, const char *value)
IWORKStylePtr_t | getStyle ()

## Private Attributes
IWORKStylePtr_t | m_style
IWORKStylePtr_t | m_parentStyle
IWORKPropertyMap | m_propMap

## Constructor & Destructor Documentation

## ◆ KEY1SpanStyle()

libetonyek::KEY1SpanStyle::KEY1SpanStyle | ( | KEY1ParserState & | state,
|  | IWORKStylePtr_t | parentStyle
| ) |  |

## Member Function Documentation

## ◆ getStyle()

IWORKStylePtr_t libetonyek::KEY1SpanStyle::getStyle | ( |  | ) |

Referenced by libetonyek::KEY1ContentElement::CDATA(), libetonyek::KEY1DivElement::CDATA(), libetonyek::KEY1SpanElement::CDATA(), libetonyek::KEY1ContentElement::element(), libetonyek::KEY1DivElement::element(), libetonyek::KEY1SpanElement::ensureOpened(), libetonyek::KEY1ContentElement::text(), and libetonyek::KEY1DivElement::text().

## ◆ readAttribute()

bool libetonyek::KEY1SpanStyle::readAttribute | ( | int | name,
|  | const char * | value
| ) |  |

Referenced by libetonyek::KEY1ContentElement::attribute(), libetonyek::KEY1DivElement::attribute(), and libetonyek::KEY1SpanElement::attribute().

## Member Data Documentation

## ◆ m_parentStyle

IWORKStylePtr_t libetonyek::KEY1SpanStyle::m_parentStyle
| private

Referenced by getStyle().

## ◆ m_propMap

IWORKPropertyMap libetonyek::KEY1SpanStyle::m_propMap
| private

Referenced by getStyle(), and readAttribute().

## ◆ m_style

IWORKStylePtr_t libetonyek::KEY1SpanStyle::m_style
| private

Referenced by getStyle().

The documentation for this class was generated from the following files:

- KEY1SpanElement.h
- KEY1SpanElement.cpp